Subject: RE: pathname conversion
From: [email-masked] (Rick Rankin)

23 Sep 1997 20:35:39 -0700
Message-ID: <[email-masked]>
To: "[email-masked]'" <[email-masked]>,
        "John R. Dennis" <[email-masked]>,
        "[email-masked]"
	 <[email-masked]>

Remember CP/M? When the first IBM PCs came out, IBM wanted a CP/M 
compatible O/S, and that's what Microsoft delivered. Aren't developers 
generally supposed to deliver what the customer wants? You can argue the 
pros and cons of the O/S and the decision to make a new O/S compatible with 
CP/M, but delivering what was asked for doesn't make anyone an idiot.

Besides, it's my experience that the technically superior solution rarely 
ends up being the most popular.

For what it's worth,

Rick Rankin
[email-masked]

On Tuesday, September 23, 1997 11:31 AM, Mikey 
[SMTP:[email-masked]] wrote:
> Because Microsoft's programmers are IDIOTS, and
> have been ever since 1982 when dos 1 came out
>
> Most file systems allow for a continuous directory tree
> via the mount command or mount() system call.
>
> this means that when you "mount" an NFS directory,
> say with your $HOME dir from your IFS, all you have to
> do is cd $HOME, and you are able to read, write copy etc.
> files in your $HOME dir at your IFS just like they were
> on your home computer.
>
> This also eliminates the need for multiple partitions,
> huge amounts of "slack" space at the end of every
> file, and many of the other "BENEFITS" of using
> such wonderful DOS isms as drive letters clusters etc...
>
> All of these file system features have been around
> since before dos 1 was released, at first via a file system
> called minix, and more recently and in an even more advanced
> form called ext2, try installing a real OS, called linux.
>
> Now if I could just convince the public, so the good game designers
> would start developing for it I could make this stupid miswritten
> crash prone junk pile of an OS called windoze go faster,
> I've got an 82 MPH fast ball and, I bet I could get 95 out of
> the CD.
>
> On Tue, 23 Sep 1997 09:35:43 -0400 (EDT), you wrote:
>
> >> Does anyone know of a command/function which will give the translation 
> >> of the cygnus path name and vice versa?
> >
> >[ several conversion suggestions given ]
> >
> >Why is pathname conversion even necessary? When in Rome do as the Romans 
do.
> >
> >Cygnus has done a wonderful job of providing free UNIX software on the
> >PC. However, I gave up using many of the tools because they don't
> >play well in a mixed environment with standard PC tools, mainly because
> >the cygnus tools have a path name convention that is (arbitrarily?)
> >different from DOS/Win32. Obviously there must be a good reason for
> >being different, can someone explain what it is?
> >
> >--
> >John Dennis (Sharp Eye, Inc.)
> >Contract programming services specializing in 3D graphics
> >http://www.sharpeye.com
> >[email-masked]
> >
> >-
> >For help on using this list (especially unsubscribing), send a message 
to
> >"[email-masked]" with one line of text: "help".
> >
>
> ([email-masked])
> delete REMOVETHIS from the above to reply
>          Mikey
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".